//----------------------------------------------------------------------------
//  Project RadioODA
//  Curt Swartzendruber Consulting Services
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    RadioODA Application
//  FILE:         rdodaapp.h
//  AUTHOR:       Curt Swartzendruber
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRadioODAApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(rdodaapp_h)              // Sentry, use file only if it's not already included.
#define rdodaapp_h

#include <owl/opensave.h>


#include "rdodaapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TRadioODAApp}}
class TRadioODAApp : public TApplication {
  private:


  public:
    TRadioODAApp();
    virtual ~TRadioODAApp();

    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.
    void OpenFile(const char* fileName = 0);

//{{TRadioODAAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TRadioODAAppVIRTUAL_END}}

//{{TRadioODAAppRSP_TBL_BEGIN}}
  protected:
    void CmFileNew();
    void CmFileOpen();
    void CmHelpAbout();
//{{TRadioODAAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRadioODAApp);
};    //{{TRadioODAApp}}


#endif  // rdodaapp_h sentry.
