//----------------------------------------------------------------------------
//  Project RadioODA
//  Curt Swartzendruber Consulting Services
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    RadioODA Application
//  FILE:         rdodawnd.cpp
//  AUTHOR:       Curt Swartzendruber
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TRadioODAWindow (TWindow).
//
//----------------------------------------------------------------------------

#include <owl/groupbox.h>

#include <owl/pch.h>

#include "rdodaapp.h"

#include "rdodawnd.h"

#include "spalette.h"
#include "serror.h"

#include <stdio.h>


//{{TRadioODAWindow Implementation}}

char ExePath[] = ".\\";
SError *AppError = 0;
SPalette *AppPalette = 0;

//--------------------------------------------------------
// TRadioODAWindow
// ~~~~~~~~~~
// Construction/Destruction handling.
//

DEFINE_RESPONSE_TABLE1(TRadioODAWindow,TWindow)
	EV_WM_KILLFOCUS,
   EV_CHILD_NOTIFY(100, WM_COMMAND, GBN),
END_RESPONSE_TABLE;

TRadioODAWindow::TRadioODAWindow(TWindow* parent, const char far* title, TModule* module)
:
  TWindow(parent, title, module)
{
	AppError = new SError();
   AppPalette = new SPalette();

	TGroupBox* gb = new TGroupBox(this, 100, "Radio Button Overloading", 10, 10, 100, 160, module);

	b1 = new SRadioButton(this, 101, "pbradio.dib", 40, 40, 22, 22, 0, gb, module);
	b2 = new SRadioButton(this, 102, "pbradio.dib", 40, 70, 22, 22, 0, gb, module);
	b3 = new SRadioButton(this, 103, "pbradio.dib", 40, 100, 22, 22, 0, gb, module);
	b4 = new SRadioButton(this, 104, "pbradio.dib", 40, 130, 22, 22, 0, gb, module);
   new TButton(this,105,"Test Button", 100, 100, 90, 40);
   Selection = 101;
}


TRadioODAWindow::~TRadioODAWindow()
{
   Destroy();

 	delete AppError;
}

void TRadioODAWindow::EvKillFocus(HWND hWndGetFocus)
{
	TWindow* p= ChildWithId(Selection);
	if (hWndGetFocus != p->HWindow)
   	p->Invalidate(true);
}

void TRadioODAWindow::GBN()
{
	b1->Invalidate(true);
}
