//----------------------------------------------------------------------------
//  Project Ralph Calculus Concepts
//  iMedia Productions Inc.
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    SOUND.DLL
//  FILE:         SoundDLL.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//  Version:		1.5.2 1/15/98 - MS, Original
//
//  OVERVIEW
//  ~~~~~~~~
//  Imports from the DLL for SOUND.DLL
//
//----------------------------------------------------------------------------
#if !defined(sounddll_h)              // Sentry, use file only if it's not already included.
#define cmssnd3_h

#include <owl\pch.h>

#define SND_SYNC           0x0000  		// (match mmsystem.h) play synchronously (default)
#define SND_ASYNC          0x0001	  	// (match mmsystem.h) play asynchronously
#define SND_LOOP           0x0008 	 	// (match mmsystem.h) loop the sound until next sndPlaySound
#define SND_NOSTOP         0x0010 	 	// (match mmsystem.h) don't stop any currently playing sound
#define SND_FROMSTART		0x0020		// start sound from the beginning

#define WM_INIATECONTACT		  		WM_USER + 2700		// Response message from cmssound.exe
#define WM_REQUESTSOUNDID           WM_USER + 2701		// Requests a new sound ID
#define WM_FREESOUNDID					WM_USER + 2702		// Frees an aquired sound ID
#define WM_PLAY                     WM_USER + 2703		// Plays the sound
#define WM_STOP                     WM_USER + 2704		// Stop specific sound ID
#define WM_STOPALL                  WM_USER + 2705		// Stop all sounds
#define WM_PAUSEALL                 WM_USER + 2706		// Pause all/any sounds
#define WM_RESTARTALL               WM_USER + 2707		// Restart all previously playing sounds
#define WM_ISPLAYING                WM_USER + 2708		// Is the specified ID playing
#define WM_ISSOUNDPLAYING           WM_USER + 2709		// Is any sound playing
#define WM_GETDURATION              WM_USER + 2710		// Get the duration of wave file
#define WM_GETPOSITION              WM_USER + 2711		// Gets the current position in wave file
#define WM_NOTIFYPLAYFINISHED			WM_USER + 2712		// Notification that Play is finished
#define WM_NOTIFYSTOPPED            WM_USER + 2713		// Notification that sound was stopped

//
// Imported Functions for SOUND.DLL
//
extern "C" unsigned int __import WINAPI AllocateWaveDevice(const char* path, const char* waveFile);
extern "C" void __import WINAPI FreeWaveDevice(const unsigned int id);
extern "C" bool __import WINAPI Play(const unsigned int id, const int flags);
extern "C" bool __import WINAPI Stop(const unsigned int id);
extern "C" bool __import WINAPI StopAll(void);
extern "C" unsigned int __import WINAPI GetDuration(const unsigned int id);
extern "C" unsigned int __import WINAPI GetPosition(const unsigned int id);
extern "C" bool __import WINAPI IsPlaying(const unsigned int id);
extern "C" bool __import WINAPI IsSoundPlaying(void);
extern "C" void __import WINAPI NotifyWhenPlayFinished(const unsigned int id, HWND hWnd,
															 const int msg, const WPARAM wParm);
extern "C" void __import WINAPI NotifyWhenStopped(const unsigned int id, HWND hWnd,
													  const int msg, const WPARAM wParm);
extern "C" void __import WINAPI PauseAll(void);
extern "C" void __import WINAPI RestartAll(void);


#endif
