//----------------------------------------------------------------------------
//  Project Ralph Calculus Concepts
//  iMedia Productions, Inc.
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    Generic Application
//  FILE:         spalette.h
//  AUTHOR:       Curt M. Swartzendruber, Consultant (swartzc@palmnet.net)
//	 HISTORY:		1.5.2 Original
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for SPalette (TWindow).
//
//----------------------------------------------------------------------------
#if !defined(spalette_h)              // Sentry, use file only if it's not already included.
#define spalette_h

#include <owl/window.h>
#include <owl/owlpch.h>

//{{TWindow = SPalette}}
class SPalette {
   public:
      SPalette(void);
      ~SPalette();
      bool		 GetScreenPalettized(void);
      TPalette *GetPalette(void);
      TBitmap 	*LoadBitmapFile(const char far *filename);
      void 		 PaletteChanged(TWindow *wnd, HWND wndHandle);
      bool      QueryNewPalette(TWindow *wnd);
      inline void      SelectPalette(TDC &dc);
   private:
      bool ScreenPalettized,
           FirstFileLoaded;
      TPalette *Palette,
               *DefPalette;
};    //{{SPalette}}

#endif
